### Callable

- marked(src: string, callback: function): string
- marked(src: string, options?: MarkedOptions, callback?: undefined | function): string

- - Defined in node_modules/@types/marked/index.d.ts:18

  Compiles markdown to HTML.

  #### Parameters

  - ##### src: string

    String of markdown source to be compiled

  - ##### callback: function

    Function called when the markdownString has been fully parsed when using async highlighting

    - - (error: any | undefined, parseResult: string): void

      - #### Parameters

        - ##### error: any | undefined

        - ##### parseResult: string

        #### Returns void

  #### Returns string

  String of compiled HTML

- - Defined in node_modules/@types/marked/index.d.ts:28

  Compiles markdown to HTML.

  #### Parameters

  - ##### src: string

    String of markdown source to be compiled

  - ##### Optional options: MarkedOptions

    Hash of options

  - ##### Optional callback: undefined | function

    Function called when the markdownString has been fully parsed when using async highlighting

  #### Returns string

  String of compiled HTML

## Index

### Modules

- Tokens

### Classes

- Lexer
- Renderer

### Interfaces

- MarkedOptions
- Rules

### Type aliases

- Token
- TokensList

### Functions

- lexer
- parse
- parser
- setOptions

## Type aliases

### Token

Token: Space | Code | Heading | Table | Hr | BlockquoteStart | BlockquoteEnd | ListStart | LooseItemStart | ListItemStart | ListItemEnd | ListEnd | Paragraph | HTML | Text

- Defined in node_modules/@types/marked/index.d.ts:112

### TokensList

TokensList: Token[] & object

- Defined in node_modules/@types/marked/index.d.ts:106

## Functions

### lexer

- lexer(src: string, options?: MarkedOptions): TokensList

- - Defined in node_modules/@types/marked/index.d.ts:35

  #### Parameters

  - ##### src: string

    String of markdown source to be compiled

  - ##### Optional options: MarkedOptions

    Hash of options

  #### Returns TokensList

### parse

- parse(src: string, callback: function): string
- parse(src: string, options?: MarkedOptions, callback?: undefined | function): string

- - Defined in node_modules/@types/marked/index.d.ts:44

  Compiles markdown to HTML.

  #### Parameters

  - ##### src: string

    String of markdown source to be compiled

  - ##### callback: function

    Function called when the markdownString has been fully parsed when using async highlighting

    - - (error: any | undefined, parseResult: string): void

      - #### Parameters

        - ##### error: any | undefined

        - ##### parseResult: string

        #### Returns void

  #### Returns string

  String of compiled HTML

- - Defined in node_modules/@types/marked/index.d.ts:54

  Compiles markdown to HTML.

  #### Parameters

  - ##### src: string

    String of markdown source to be compiled

  - ##### Optional options: MarkedOptions

    Hash of options

  - ##### Optional callback: undefined | function

    Function called when the markdownString has been fully parsed when using async highlighting

  #### Returns string

  String of compiled HTML

### parser

- parser(src: TokensList, options?: MarkedOptions): string

- - Defined in node_modules/@types/marked/index.d.ts:60

  #### Parameters

  - ##### src: TokensList

    Tokenized source as array of tokens

  - ##### Optional options: MarkedOptions

    Hash of options

  #### Returns string

### setOptions

- setOptions(options: MarkedOptions): marked

- - Defined in node_modules/@types/marked/index.d.ts:67

  Sets the default options.

  #### Parameters

  - ##### options: MarkedOptions

    Hash of options

  #### Returns marked

Generated using TypeDoc